Bug 3975 - [UPDATE REQUEST] fglrx 13.350.1005
: [UPDATE REQUEST] fglrx 13.350.1005
Status: RESOLVED FIXED
Product: Desktop Bugs
Classification: ROSA Desktop
Component: Main Packages
: Fresh
: All Linux
: Normal normal
: ---
Assigned To: ROSA Linux Bugs
: ROSA Linux Bugs
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2014-04-16 11:37 MSD by Andrey Ponomarenko
Modified: 2014-04-18 19:40 MSD (History)
4 users (show)

See Also:
RPM Package:
ISO-related:
Bad POT generating:
Upstream:
vladimir.potapov: qa_verified+
alex.burmashev: published+


Attachments
Xorg.0.log (53.11 KB, text/x-log)
2014-04-17 00:06 MSD, Postnikov Dmitry
Details
dmesg (54.59 KB, application/octet-stream)
2014-04-17 00:07 MSD, Postnikov Dmitry
Details
jj1.txt (122.52 KB, text/plain)
2014-04-17 00:08 MSD, Postnikov Dmitry
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Andrey Ponomarenko 2014-04-16 11:37:14 MSD
New version of AMD Catalyst display driver.

https://abf.rosalinux.ru/build_lists/1792710
https://abf.rosalinux.ru/build_lists/1792711

Use it with new ldetect-lst 0.1.323: http://bugs.rosalinux.ru/show_bug.cgi?id=3974
Comment 1 Postnikov Dmitry 2014-04-17 00:05:59 MSD
1. Error in dmesg log file:
============
[    3.289325] [drm:radeon_init] *ERROR* No UMS support in radeon module!
[    4.211497] [drm:radeon_init] *ERROR* No UMS support in radeon module!
[    8.091027] [drm:radeon_init] *ERROR* No UMS support in radeon module!
============

2. Error in Xorg.0.log file:
============
[    16.261] (EE) AIGLX error: failed to open /usr/X11R6/lib64/modules/dri/fglrx_dri.so, error[/usr/X11R6/lib64/modules/dri/fglrx_dri.so: cannot open shared object file: No such file or directory]
============

3. Strange record, I don't have so many video cards.
============
[    16.388] ukiGetBusid returned 'PCI:1:0:0'
[    16.388] ukiOpenDevice: node name is /dev/ati/card1
[    16.388] ukiOpenDevice: open result is -1, (No such device)
[    16.388] ukiOpenDevice: open result is -1, (No such device)
[    16.388] ukiOpenDevice: Open failed
[    16.388] ukiOpenDevice: node name is /dev/ati/card2
[    16.388] ukiOpenDevice: open result is -1, (No such device)
[    16.388] ukiOpenDevice: open result is -1, (No such device)
[    16.388] ukiOpenDevice: Open failed
[    16.388] ukiOpenDevice: node name is /dev/ati/card3
[    16.388] ukiOpenDevice: open result is -1, (No such device)
[    16.388] ukiOpenDevice: open result is -1, (No such device)
[    16.388] ukiOpenDevice: Open failed
[    16.388] ukiOpenDevice: node name is /dev/ati/card4
[    16.388] ukiOpenDevice: open result is -1, (No such device)
[    16.388] ukiOpenDevice: open result is -1, (No such device)
[    16.388] ukiOpenDevice: Open failed
[    16.388] ukiOpenDevice: node name is /dev/ati/card5
[    16.388] ukiOpenDevice: open result is -1, (No such device)
[    16.388] ukiOpenDevice: open result is -1, (No such device)
[    16.388] ukiOpenDevice: Open failed
[    16.388] ukiOpenDevice: node name is /dev/ati/card6
[    16.388] ukiOpenDevice: open result is -1, (No such device)
[    16.388] ukiOpenDevice: open result is -1, (No such device)
[    16.388] ukiOpenDevice: Open failed
[    16.388] ukiOpenDevice: node name is /dev/ati/card7
[    16.388] ukiOpenDevice: open result is -1, (No such device)
[    16.388] ukiOpenDevice: open result is -1, (No such device)
[    16.388] ukiOpenDevice: Open failed
[    16.388] ukiOpenDevice: node name is /dev/ati/card8
[    16.388] ukiOpenDevice: open result is -1, (No such device)
[    16.388] ukiOpenDevice: open result is -1, (No such device)
[    16.388] ukiOpenDevice: Open failed
[    16.388] ukiOpenDevice: node name is /dev/ati/card9
[    16.388] ukiOpenDevice: open result is -1, (No such device)
[    16.388] ukiOpenDevice: open result is -1, (No such device)
[    16.388] ukiOpenDevice: Open failed
[    16.388] ukiOpenDevice: node name is /dev/ati/card10
[    16.388] ukiOpenDevice: open result is -1, (No such device)
[    16.388] ukiOpenDevice: open result is -1, (No such device)
[    16.388] ukiOpenDevice: Open failed
[    16.388] ukiOpenDevice: node name is /dev/ati/card11
[    16.388] ukiOpenDevice: open result is -1, (No such device)
[    16.388] ukiOpenDevice: open result is -1, (No such device)
[    16.388] ukiOpenDevice: Open failed
[    16.388] ukiOpenDevice: node name is /dev/ati/card12
[    16.388] ukiOpenDevice: open result is -1, (No such device)
[    16.388] ukiOpenDevice: open result is -1, (No such device)
[    16.388] ukiOpenDevice: Open failed
[    16.388] ukiOpenDevice: node name is /dev/ati/card13
[    16.388] ukiOpenDevice: open result is -1, (No such device)
[    16.388] ukiOpenDevice: open result is -1, (No such device)
[    16.388] ukiOpenDevice: Open failed
[    16.388] ukiOpenDevice: node name is /dev/ati/card14
[    16.388] ukiOpenDevice: open result is -1, (No such device)
[    16.388] ukiOpenDevice: open result is -1, (No such device)
[    16.388] ukiOpenDevice: Open failed
[    16.388] ukiOpenDevice: node name is /dev/ati/card15
[    16.388] ukiOpenDevice: open result is -1, (No such device)
[    16.388] ukiOpenDevice: open result is -1, (No such device)
[    16.388] ukiOpenDevice: Open failed
===================

But all work OK.
Comment 2 Postnikov Dmitry 2014-04-17 00:06:43 MSD
Created attachment 2815 [details]
Xorg.0.log

Xorg.0.log
Comment 3 Postnikov Dmitry 2014-04-17 00:07:06 MSD
Created attachment 2816 [details]
dmesg

dmesg
Comment 4 Postnikov Dmitry 2014-04-17 00:08:03 MSD
Created attachment 2817 [details]
jj1.txt

journalctl -ab
Comment 5 Postnikov Dmitry 2014-04-17 01:25:29 MSD
All GpuTest 0.5 - PASSED.
All Mesa test - PASSED.
Comment 6 Postnikov Dmitry 2014-04-17 22:20:26 MSD
After delete driver fglrx, file is xorg.conf don't automatically delete.
Comment 7 Vladimir Potapov 2014-04-18 14:22:20 MSD
The update route to extended testing
Comment 8 Postnikov Dmitry 2014-04-18 17:53:05 MSD
******************************
Extended testing report
*****************************
In principle, the driver works well. These little things can give my some other equipment.
Comment 9 Vladimir Potapov 2014-04-18 19:02:29 MSD
fglrx-13.350.1005-1
http://abf-downloads.rosalinux.ru/import_personal/container/1792710/i586/main/release/
http://abf-downloads.rosalinux.ru/import_personal/container/1792711/x86_64/main/release/
******************************* Advisory **********************
New version of AMD Catalyst display driver
***************************************************************
QA Verified